EXTRACT_SEARCH_KEYWORDS_PROMPT = """"下面我会给你一个内容创作的选题：

{final_xuanti}

为了能够更好的完成这个选题，我需要去内容平台上去搜索相关的帖子，以便能够更好的了解和创作这个选题。
现在请你帮我完成以下任务：
- 提取2～3个搜索词，以及搜索词的理由；
- 搜索词不一定就是关键词，也可以是一些短语、关键词的组合等等；
- 搜索词一定要具体、有针对性，请根据实际的选题和我搜索的目的出发去考虑；
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "search_words": [
        {{
            "words": "搜索词1",
            "reason": "搜索词的理由"
        }},
        {{
            "words": "搜索词2",
            "reason": "搜索词2的理由"
        }},
        {{
            "words": "搜索词N",
            "reason": "搜索词N的理由"
        }}
    ]
}}
"""

NOTE_PROVIDER_PROMPT = """这是第{index}个帖子
帖子id：{channel_content_id}
标题：{title}
正文: {body_text}
还有如下图片
"""

SAME_TOPIC_FIND_PROMPT = """以上就是我给你的{note_count}个帖子
现在我创作了一个选题：

{final_xuanti}

针对我给出的每一个帖子，请帮我完成以下任务：
- 判断帖子的选题是否与我的选题相同：
- 判断帖子是否符合我创作人设特点
    - 输出 score： 评分，范围0-1

要求如下：
- 你不要从表面上去判断，可以从内容创作的角度去判断，因为如果是相同或者类似的选题，将会对我的创作有非常大的帮助
- direct output in JSONObject with keys:
    - 判断结果(list[dict]): each dict contains:
        - note_id(str): 帖子id
        - same_topic(bool): 是否与我的选题相同，True/False
        - same_topic_explain(str): 关联原因说明，说明应该详细、具体，以及分析过程。
        - score(float): 帖子与人设特点的符合度，范围0-1，得分越高，说明越符合我的人设特点
        - score_explain(str): 评分说明，说明应该详细、具体，以及分析过程。
"""

SCRIPT_SUMMARY_PROMPT = """你是一名小红书的创作大师，拥有以下能力：
1. 对创作模式有着敏锐的洞察力，能够快速发现账号的创作模式；
2. 拥有丰富的创作经验；
3. 对创作模式有着独特的见解；能够从第一性原理出发，发现账号的脚本创作模式；
4. 拥有极高的内容总结、抽象能力；

以下是一些创作脚本：

{script_list}

请基于这些历史脚本，完成以下任务：
- 对小红书的每个模块（标题、正文、封面、图集）的创作方式进行模式上的总结；
- 请从所有的创作中去总结共性部分；
- 请做到尽可能详细，信息量丰富；
    - 封面创作方式中包括但不限于：
        - 封面是如何选取的？为什么选取这张图片作为封面？
        - 封面是独立生成的，还是由图集中的图片选取的、以及选取图片后的加工方式等等；
        - 封面视觉呈现的方式(dict)
    - 图集创作模方式包括但不限于：
        - 图集的数量规划(dict)：图集的数量是多少？为什么是这么多？
        - 图片之间的排序规则(dict)：图集的内容是怎么构建的？为什么这么构建？
        - 图集视觉呈现的方式(dict)
        - 与其他模块的关系(dict)

要求如下：
- 请只描述客观事实，不要加入任何'主观'评价性语言；
- 涉及到数量的信息，一定要有明确的数字；
- 要求用词精准，不要使用模糊、不确定的词语；    
- 结果尽可能详细，信息量丰富；
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- direct output in JSONObject with keys: dict表示对象类型
    - 标题创作方式(dict)
    - 正文创作方式(dict)
    - 封面创作方式(dict)
    - 图集创作方式(dict)
"""

EXTRACT_MATERIALS_PROMPT = """以上就是我给你的{note_count}个帖子
下面我会给你一些我创作过程中我需要的材料：

{required_materials}

要求如下：
- 提取我创作过程中需要的材料；
- 请给我最终可用的材料结果，不要给我一些无关的材料；
- 每个材料的数量根据我需要的素材数量来确定；
     - 你需要选取最具有表现力的材料，并不是把所有的材料都告诉我，从你丰富的创作的经验去过滤掉一些材料；
- 每个材料名请用单一名词描述，不要使用复杂的词语；
    - 比如：xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
- 材料描述请尽可能详细，具体，不是简单的词语；需要有细节的描述；
- image_index 指的是单张图片在帖子中的图片序号，从1开始，请务必每次输出1张；
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "materials": [
        {{
            "materials_name": "材料名1",
            "materials_type": "材料类型",
            "materials_description": "材料描述1"
            "note_id": "来源的帖子id",
            "image_index": "素材在帖子中的图片序号"
            "explanation": "提取该素材的解释"
        }},
        {{
            "materials_name": "材料名2",
            "materials_type": "材料类型",
            "materials_description": "材料描述"
            "note_id": "来源的帖子id",
            "image_index": "素材在帖子中的图片序号"
            "explanation": "提取该素材的解释"
        }},
        {{
            "materials_name": "材料名N",
            "materials_type": "材料类型",
            "materials_description": "材料描述"
            "note_id": "来源的帖子id",
            "image_index": "素材在帖子中的图片序号"
            "explanation": "提取该素材的解释"
        }},
    ]
}}
"""

MERGE_SEARCH_NOTE_SCRIPT_AND_RENSHE_SCRIPT = """我现在有如下选题：
{final_xuanti}

我的脚本模式如下：
{renshe_script_mode}

对于这个选题，我在内容平台上搜索到了类似的选题，他们常见的脚本创作方式如下：
{search_summary_script}

下面，我需要你帮我如下任务：
- 基于我的脚本模式和搜索到的脚本创作，确定最终的脚本创作方式；
- 请注意需要给出基于这个`选题`的脚本创作方式，而不是给出脚本；
- 请做到尽可能详细，信息量丰富；
    - 封面创作方式中包括但不限于：
        - 封面是如何选取的？为什么选取这张图片作为封面？
        - 封面是独立生成的，还是由图集中的图片选取的、以及选取图片后的加工方式等等；
        - 封面视觉呈现的方式(dict)
    - 图集创作模方式包括但不限于：
        - 图集的数量规划(dict)：图集的数量是多少？为什么是这么多？
        - 图片之间的排序规则(dict)：图集的内容是怎么构建的？为什么这么构建？
        - 图集视觉呈现的方式(dict)
        - 与其他模块的关系(dict)
    - 脚本创作需要哪些材料(dict)
        - 是指根据创作方式去创作的时候，需要补充的材料
        - 请从内容创作的本身，给出关键的材料信息
        - 材料需要能够到选题的创作中去，而不是简单的材料描述
要求如下：
- 请只描述客观事实，不要加入任何'主观'评价性语言；
- 涉及到数量的信息，一定要有明确的数字；
- 要求用词精准，不要使用模糊、不确定的词语；    
- 结果尽可能详细，信息量丰富；
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- direct output in JSONObject with keys: dict表示对象类型
    - 标题创作方式(dict)
    - 正文创作方式(dict)
    - 封面创作方式(dict)
    - 图集创作方式(dict)
    - 脚本创作需要的材料(dict)
    - 合并逻辑/理由(dict)
"""

FIND_BEST_SCRIPT_MATCH_NOTE_PROMPT="""好了,以上就是我给你的{note_count}个帖子
我现在有如下选题：

{final_xuanti}

我的人设创作特点如下：
{create_features}

帮我完成以下任务：
- 请你帮我从以上帖子中，找到一个符合我选题和人设创作特点的`参考帖子`，给出帖子id即可；
    - 如果找不到`参考帖子`，则在json结果中返回null，并结束任务；
- 请使用`参考帖子`的脚本进行创作，保持`参考帖子`的图集逻辑和创作方式；
- 并给我生成创作的脚本
    - 在图集描述中，请注意图片与图片之间的故事性、连续性，要有逻辑性：比如时间性、空间性、整体到细节；
    - 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
    - 结合图集描述，补充创作所需要的核心/主体视觉材料，视觉材料可能来源于我给你的所有帖子，同时也要保证最后生成的一致性；
        - 请注意：只要补充核心/主体视觉材料，不需要补充所有的视觉材料；
        - 请从逻辑上去补充视觉材料，不要随意补充；
        - 每个材料名请用单一名词描述，不要使用复杂的词语: 比如：xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
    - 最后在图集中：图片的描述引用到视觉材料的地方，请用`<<>>`标注出来，并严格能够进行对应和索引到视觉材料；
- direct output in JSONObject with keys:
    - 参考的帖子id(str)
    - 参考的理由(str)
    - 创作的脚本：
         - 正文(str)
         - 标题(str)
         - 视觉材料(List[dict]), each dict with keys：
                "materials_name": "材料名",
                "note_id": "来源的帖子id",
                "image_index": "素材在帖子中的图片序号，从1开始"
         - 图集构建逻辑(str) 
         - 图集描述(List[str])
"""

SCRIPT_MODE_GENERATE_PROMPT = """我现在有如下选题：

{final_xuanti}

我的脚本创作方式/模式如下：

{script_mode}

我的账号人设如下：

{renshe_xuanti_unique}

帮我完成以下任务：
- 深刻理解我的选题和脚本创作方式/模式；
- 上面参考帖子和其的脚本模式只是一个参考，你需要根据我的选题和脚本创作方式/模式，给我生成一个最适合我的脚本；
- 保留我的脚本模式中的核心部分，同时也要保证最后生成的一致性；
- 并给我生成创作的脚本
    - 在图集描述中，请注意图片与图片之间的故事性、连续性，要有逻辑性：比如时间性、空间性、整体到细节；
    - 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
    - 结合图集描述，补充创作所需要的核心/主体视觉材料，同时也要保证最后生成的一致性；
        - 请注意：只要补充核心/主体视觉材料，不需要补充所有的视觉材料；
        - 请从逻辑上去补充视觉材料，不要随意补充；
        - 每个材料名请用单一名词描述，不要使用复杂的词语: 比如：xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
    - 最后在图集中：图片的描述引用到视觉材料的地方，请用`<<>>`标注出来，并严格能够进行对应和索引到视觉材料；
- direct output in JSONObject with keys:
    - 创作的脚本：
         - 正文(str)
         - 标题(str)
         - 视觉材料(List[dict]), each dict with keys：
                "materials_name": "材料名",
         - 图集构建逻辑(str) 
         - 图集描述(List[str])
"""


RENSHE_SCRIPT_MODE_AND_SEARCH_NOTE_SCRIPT_GENERATE_PROMPT = """我现在有如下选题：

{final_xuanti}

选题描述如下：
{final_xuanti_description}

我的人设脚本创作模式如下：

{script_mode}

我的账号人设如下：

{renshe_xuanti_unique}

帮我完成以下任务：
- 深刻理解我的选题和脚本创作模式；
- 上面参考帖子和其的脚本模式只是一个参考，你需要根据我的选题和脚本创作模式，给我生成一个最适合我的脚本；
- 保留我的脚本模式中的核心部分，同时也要保证最后生成的一致性；
- 最后创作的脚本需要确保符合`内容品类`、`创作灵魂`；
- 请参考上述帖子，并给我生成创作的脚本，并满足以下要求：
    - 图集包括了脚本中的封面和图集图片，封面是第一张图片；
    - 请根据选题/人设脚本模式/参考帖子，确定合适的图片数量、图片顺序、图片描述、图片表现方式/特点等等；
    - 你还可以借鉴参考帖子中有关的内容知识来进行创作；
    - 在图集描述中，请注意图片与图片之间的故事性、连续性，要有逻辑性：比如时间性、空间性、整体到细节；
        - 关于图片之间逻辑性的要求一定要在图片描述中体现，因为这是体现你创作性的重要标准；
    - 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
        - 图片描述是为了表达图片的内容，而不是为了表达图片的主题；
        - 每张图片都必须有完整的描述；
        - 图片描述应该详实具体，而不是简单的概括
        - 好的图片描述能够直接用作prompt去生成图片，所以请给出好的图片描述，而不是去总结、概括，这个非常重要！
        - 请重点结合人设脚本创作模式中的`图片表现方式、图片中人物表现方式`，补充相关的描述；
    - 结合图集描述，补充创作所需要的核心/主体视觉材料，同时也要保证最后生成的一致性；
        - 请注意：只要补充核心/主体视觉材料，不需要补充所有的视觉材料；
        - 材料一定要是能够在帖子中找到的，不要随意添加；并且是图片中的；不要添加文字材料；
        - 请从逻辑上去补充视觉材料，不要随意补充；
        - 每个材料名请用单一名词描述，不要使用复杂的词语: 比如：xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
    - 最后仅仅在图集描述中引用到视觉材料的地方，请用`<<>>`标注出来，并严格能够进行对应和索引到视觉材料；
- direct output in JSONObject with keys:
    - 创作的脚本：
         - 正文(str)
         - 标题(str)
         - 视觉材料(List[dict]), each dict with keys：
                "materials_name": "材料名",
                "image_index": "素材在参考帖子中的图片序号，图片序号从1开始"
         - 图集构建逻辑(str) 
         - 图集描述(List[str])
"""

FIND_BEST_SCRIPT_NOTE_FROM_HISTORY_NOTE_PROMPT = """
好了,以上就是我历史创作的{note_count}个帖子
我现在我有一个新的选题：

{final_xuanti}

请帮我完成如下任务：
- 从以上帖子中找到1~3个最具代表性、最符合我选题的`参考帖子`，给出帖子id即可；
    - 符合指的是创作方式、创作逻辑、创作风格等等；请严格按照这些标准去选择；
    - 符合指的是按照你给的参考帖子，能够很好的完成这个选题的创作；
    - 我将会按照这些参考帖子来完成新选题的创作，所以请确保参考帖子的质量；
- 给出参考帖子的理由；
- direct output in JSONObject with keys:
    - 参考帖子(list[dict]),each dict with keys：
         - 帖子id(str)
         - 理由(str)
"""

NOTE_PROMPT = """这是{note_description}帖子
帖子id：{channel_content_id}
标题：{title}
正文: {body_text}
还有如下{image_count}张图片
- 第一张图为封面
"""

HISTORY_NOTE_AND_SEARCH_GENERATE_PROMPT = """以上就是我给出的【历史创作帖子】、【参考的同选题帖子】
我现在有一个新的选题：
{final_xuanti}

我的账号如下：

账号名称：
{account_name}

账号描述：
{account_description}

请帮我完成如下任务：
- 参考【历史创作帖子】中的创作风格、创作模式、创作逻辑、给我一个上述选题的图集生成脚本；
    - 首先总结【历史创作帖子】中的创作风格、创作模式、创作逻辑、创作形式等；
        - 比如【历史创作帖子】中是否都有同一个人物形象？
        - 比如【历史创作帖子】中是否都有同一个背景？
        - 比如【历史创作帖子】中是否都有同样的视觉元素？
        - 包括但不限于以上可以从【历史创作帖子】去总结的维度、内容；
    - 按照【历史创作帖子】中的创作风格、创作模式、创作逻辑、创作形式等，给出一个图集生成脚本；
    - 确保选题和图集生成脚本是能够跟【历史创作帖子】的风格、逻辑、模式的一致性；
- 结合【参考的同选题帖子】到生成脚本中；并给出结合的理由
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 或者能够结合【参考的同选题帖子】的创作元素、创作内容，来丰富图集生成脚本；

要求如下：
- 注意不同的参考有不同的作用，请注意区分；
    - 历史创作帖子是为了保持创作的风格、逻辑、模式的一致性；脚本需与历史创作帖子保持一致；
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 最后创作的形式需要与历史创作帖子保持一致，同时也要引入新的创作元素；
- 图集描述中第一张图为封面，请保持封面也在图集中的第一张位置；
- 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
        - 图片描述是为了表达图片的内容，而不是为了表达图片的主题；
        - 每张图片都必须有完整的描述；
        - 图片描述应该详实具体，而不是简单的概括
        - 好的图片描述能够直接用作prompt去生成图片，所以请给出好的图片描述，而不是去总结、概括，这个非常重要！
- 如果选题方向是故事叙事性：连续图片描述组合成一个故事，图片之间有逻辑关系；故事要求短小精悍，简洁干脆不冗余、不能太复杂；
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "创作的脚本": {{
        {{
            "图集构建逻辑": "str",
            "图集描述": "List[str]",
            "结合逻辑/理由": "str"
        }}
    }}
}}
"""


HISTORY_NOTE_AND_SEARCH_AND_SCRIPT_MODE_GENERATE_PROMPT = """以上就是我给出的【历史创作帖子】、【参考的同选题帖子】
我现在有一个新的选题：
{final_xuanti}

选题描述:
{final_xuanti_description}

选题创作的关键点:
{final_xuanti_keypoint}

我的账号如下：

账号名称：
{account_name}

账号描述：
{account_description}

图集脚本模式:
{images_script_mode}

请帮我完成如下任务：
- 参考【历史创作帖子】中的创作风格、创作模式、创作逻辑、给我一个上述选题的图集生成脚本；
    - 首先总结【历史创作帖子】中的创作风格、创作模式、创作逻辑、创作形式等；
        - 比如【历史创作帖子】中是否都有同一个人物形象？
        - 比如【历史创作帖子】中是否都有同一个背景？
        - 比如【历史创作帖子】中是否都有同样的视觉元素？
    - 从【图集脚本模式】参考，选择合适的模式进行脚本的创作；
    - 按照【历史创作帖子】和【图集脚本模式】中的创作风格、创作模式、创作逻辑、创作形式等，给出一个图集生成脚本；
    - 确保选题和图集生成脚本是能够跟【历史创作帖子】和【图集脚本模式】的风格、逻辑、模式的一致性；
    - 请从最终的脚本生成效果去选择合适的模式；
- 结合【参考的同选题帖子】到生成脚本中；并给出结合的理由
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 或者能够结合【参考的同选题帖子】的创作元素、创作内容，来丰富图集生成脚本；

要求如下：
- 注意不同的参考有不同的作用，请注意区分；
    - 历史创作帖子是为了保持创作的风格、逻辑、模式的一致性；脚本需与【历史创作帖子】、【图集脚本模式】保持一致；
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 最后创作的形式需要与历史创作帖子保持一致，同时也要引入新的创作元素；
- 图集描述中第一张图为封面，请保持封面也在图集中的第一张位置；
- 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
        - 图片描述是为了表达图片的内容，而不是为了表达图片的主题；
        - 每张图片都必须有完整的描述；
        - 图片描述应该详实具体，而不是简单的概括
        - 好的图片描述能够直接用作prompt去生成图片，所以请给出好的图片描述，而不是去总结、概括，这个非常重要！
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "创作的脚本": {{
        {{
            "图集构建逻辑": "str",
            "图集描述": "List[str]",
            "结合逻辑/理由": "str"
        }}
    }}
}}
"""

HISTORY_NOTE_AND_SEARCH_AND_SCRIPT_MODE_AND_KNOWLEDGE_GENERATE_PROMPT = """以上就是我给出的【历史创作帖子】、【参考的同选题帖子】
我现在有一个新的选题：
{final_xuanti}

我的账号如下：

账号名称：
{account_name}

账号描述：
{account_description}

图集脚本模式:
{images_script_mode}

请帮我完成如下任务：
- 参考 {script_knowledge_file_name} 作为脚本创作的知识库；
    - 指导脚本的创作；
- 参考【历史创作帖子】中的创作风格、创作模式、创作逻辑、给我一个上述选题的图集生成脚本；
    - 首先总结【历史创作帖子】中的创作风格、创作模式、创作逻辑、创作形式等；
        - 比如【历史创作帖子】中是否都有同一个人物形象？
        - 比如【历史创作帖子】中是否都有同一个背景？
        - 比如【历史创作帖子】中是否都有同样的视觉元素？
    - 从【图集脚本模式】参考，选择合适的模式进行脚本的创作；
    - 按照【历史创作帖子】和【图集脚本模式】中的创作风格、创作模式、创作逻辑、创作形式等，给出一个图集生成脚本；
    - 确保选题和图集生成脚本是能够跟【历史创作帖子】和【图集脚本模式】的风格、逻辑、模式的一致性；
    - 请从最终的脚本生成效果去选择合适的模式；
- 结合【参考的同选题帖子】到生成脚本中；并给出结合的理由
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 或者能够结合【参考的同选题帖子】的创作元素、创作内容，来丰富图集生成脚本；

要求如下：
- 注意不同的参考有不同的作用，请注意区分；
    - 历史创作帖子是为了保持创作的风格、逻辑、模式的一致性；脚本需与【历史创作帖子】、【图集脚本模式】保持一致；
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 最后创作的形式需要与历史创作帖子保持一致，同时也要引入新的创作元素；
- 图集描述中第一张图为封面，请保持封面也在图集中的第一张位置；
- 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
        - 图片描述是为了表达图片的内容，而不是为了表达图片的主题；
        - 每张图片都必须有完整的描述；
        - 图片描述应该详实具体，而不是简单的概括
        - 好的图片描述能够直接用作prompt去生成图片，所以请给出好的图片描述，而不是去总结、概括，这个非常重要！
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "创作的脚本": {{
        {{
            "图集构建逻辑": "str",
            "知识库引用说明": "对于选题知识库引用的详细说明",
            "图集描述": "List[str]",
            "结合逻辑/理由": "str"
        }}
    }}
}}
"""

HISTORY_NOTE_AND_SEARCH_AND_SCRIPT_MODE_AND_KNOWLEDGE_AND_SCREENPLAY_GENERATE_PROMPT = """以上就是我给出的【历史创作帖子】、【参考的同选题帖子】
我现在有一个新的选题：
{final_xuanti}

选题的剧本:
{screenplay}

选题的剧本关键点:
{screenplay_keypoint}

我的账号如下：

账号名称：
{account_name}

账号描述：
{account_description}

图集脚本模式:
{images_script_mode}

请帮我完成如下任务：
- 参考 {script_knowledge_file_name} 作为脚本创作的知识库；
    - 指导脚本的创作；
- 阅读这个选题的剧本，用图文画面的结构去表达这个选题和剧本：
    - 你可以参考宫崎骏的动画脚本来进行图文分镜头脚本的创作；
    - 保持剧本故事情节的完整性，突出剧本的核心和关键点；
    - 注意剧本的节奏感，保持故事情节的连贯性；
    - 不要有太复杂的情节，保持故事情节的简洁性；
- 参考【历史创作帖子】中的创作风格、创作模式、创作逻辑、给我一个上述选题的图集生成脚本；
    - 首先总结【历史创作帖子】中的创作风格、创作模式、创作逻辑、创作形式等；
        - 比如【历史创作帖子】中是否都有同一个人物形象？
        - 比如【历史创作帖子】中是否都有同一个背景？
        - 比如【历史创作帖子】中是否都有同样的视觉元素？
    - 从【图集脚本模式】参考，选择合适的模式进行脚本的创作；
    - 按照【历史创作帖子】和【图集脚本模式】中的创作风格、创作模式、创作逻辑、创作形式等，给出一个图集生成脚本；
    - 确保选题和图集生成脚本是能够跟【历史创作帖子】和【图集脚本模式】的风格、逻辑、模式的一致性；
    - 请从最终的脚本生成效果去选择合适的模式；
- 结合【参考的同选题帖子】到生成脚本中；并给出结合的理由
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 或者能够结合【参考的同选题帖子】的创作元素、创作内容，来丰富图集生成脚本；

要求如下：
- 注意不同的参考有不同的作用，请注意区分；
    - 历史创作帖子是为了保持创作的风格、逻辑、模式的一致性；脚本需与【历史创作帖子】、【图集脚本模式】保持一致；
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 最后创作的形式需要与历史创作帖子保持一致，同时也要引入新的创作元素；
- 图集描述中第一张图为封面，请保持封面也在图集中的第一张位置；
- 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
        - 图片描述是为了表达图片的内容，而不是为了表达图片的主题；
        - 每张图片都必须有完整的描述；
        - 图片描述应该详实具体，而不是简单的概括
        - 好的图片描述能够直接用作prompt去生成图片，所以请给出好的图片描述，而不是去总结、概括，这个非常重要！
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "创作的脚本": {{
        {{
            "图集构建逻辑": "str",
            "知识库引用说明": "对于选题知识库引用的详细说明",
            "图集描述": "List[str]",
            "结合逻辑/理由": "str"
        }}
    }}
}}
"""

TOPIC_TYPE_MATCH_PROMPT = """请根据选题：

{topic}

判断上述选题的类型，并给出理由；
选题的类型有如下：
故事叙事性选题：留学/职场故事、品牌发展史、旅行游记、生活Vlog（带情节）等
产品测评与推荐：护肤品/彩妆测评、数码产品开箱、家居用品体验、服饰穿搭效果等
教程与指南：化妆教程、烹饪食谱、旅行攻略、健身指导、软件/技能教学等
经验分享与生活记录：日常Vlog、学习/工作感悟、兴趣培养记录、育儿/宠物日常等
清单与合集：爱用物分享、书单/影单推荐、购物清单、主题好物汇总等
热点追踪与话题讨论：参与热门挑战、评论社会事件、解读行业新闻、分析网络热梗等
对比与选择：A/B产品对比、不同方案利弊分析、同类目的地比较等

要求如下：
- 如果类型在上述选项中，请直接输出选题类型、如果不在上述选项中，请根据实际情况输出选题类型；
- direct output in JSONObject with keys:
    - 选题类型(str)
    - 理由(str)
"""

OPTIMIZE_SCRIPT_PROMPT = """现在有了图集的脚本，图集中的每一张图片描述都将视为一个镜头。

我将用这些固定的、静态的图片镜头 来表达一个完整的主题时，这种情况更接近于图片故事、静态漫画（分镜格）、或者演示文稿的关键帧的逻辑。

在这种情况下，每一个静态图片镜头能够精准表达和呈现其部分内容的核心/原理在于：
1. 高度的“信息浓缩”与“焦点突出” (High Information Condensation & Focus Emphasis):
    由于是静止画面，无法像动态视频那样展示过程和连续变化。因此，每一张图片都必须精心选择和设计，捕捉到最能代表该环节核心信息、情绪或状态的“决定性瞬间”或“典型场景”。
    构图必须非常明确，迅速引导观众注意到最重要的元素（人物、物体、表情、细节）。其余元素要么服务于主体，要么被简化或排除，避免信息干扰。
2. 清晰的“序列逻辑”与“叙事节点” (Clear Sequential Logic & Narrative Nodes):
    每一张图片都不是孤立的，它在整个（3-10张）序列中扮演一个特定的角色，代表着主题表达的一个关键步骤或转折点。可能是：引入背景 -> 呈现问题 -> 展示发展/尝试 -> 遇到高潮/关键点 -> 揭示结果/结论。
    图片之间的顺序和关联至关重要。下一张图片需要建立在上一张图片所提供信息的基础上，共同推动主题的理解。观众需要能通过这个序列“脑补”出中间的联系和发展。
3. 强烈的“象征意义”与“视觉隐喻” (Strong Symbolism & Visual Metaphor):
    静态图片往往需要更强的象征性来传达复杂或抽象的概念。画面中的元素（物体、颜色、光影、人物姿态、环境）常常被赋予特定的象征意义，用视觉隐喻的方式来表达文字难以直接说明的内容。
    例如，一张图片里的枯萎植物可能象征着失败或绝望，而一张图片里的紧握的拳头可能象征着决心。
4. 瞬间的“情绪捕捉”与“氛围营造” (Instant Emotional Capture & Atmosphere Creation):
    每一张图片都需要在瞬间抓住并传达出该环节所需的情绪基调。这主要通过人物的表情、姿态、光线（明暗、冷暖）、色彩以及环境的选择来实现。
    即使是固定镜头，也要设计出能立刻感染观众情绪的视觉呈现。
5. “留白”与“想象空间” (Negative Space & Room for Imagination):
    由于图片数量有限且静态，创作者会利用画面的“留白”（未直接呈现的信息）来激发观众的联想。图片之间跳跃的部分，需要观众根据已有的画面信息去填充和解读。
    精准的表达也体现在：这张图片提供了足够的信息让观众能够进行合理的推断，而不是造成困惑。
    
简单来说，对于静态图像创作，你需要问自己：
    镜头有什么？(What?) - 主体、环境、道具
    镜头怎么表现？(How?) - 构图、视角、风格、光影、色彩
    为什么要有这个镜头？(Why?) - 叙事目的、情绪传达
    如何与其他镜头连接？(Connection?) - 页面布局、视觉流、内容连贯性、一致性

如果你是一个专业的编剧、导演、分镜师、漫画家、插画师、摄影师，你会如何优化这个脚本，使得每一张图片都能够精准的表达和呈现其部分内容的核心/原理？

请给出优化后的脚本，要求如下：
- 优化后的图片脚本中的每一张图片描述都将视为一个镜头；
    - 一个镜头的构成可以是是主体、主体动作和场景；
    - 最终的图集镜头用自然语言描述即可，此外，可以增加风格、光影、色彩等美学要求的词语
    - 除了描述不需要有'图片序号'、'封面'或者其他任何和镜头本身描述无关的词语出现；
- 镜头的数量可以适当进行调整，但是要符合上述逻辑/原理
    -  如果单张图的信息过于复杂，比如主体行为的描述，超过一个动作则需要考虑拆分成两张图来生成；
    -  如果脚本叙事效率较低，可以考虑将多张图的内容合并为一张图，以提高叙事效果和整体表现力；
- 请注意每个镜头只能存在一个主体行为；出现多主体行为的镜头请拆分为多个连续的镜头。这一点是必须要遵守的准则；
    - 这样做的目的是为了避免单镜头信息过载；
- 每个镜头的描述都需要有完整的描述；我将使用AI生成图片，所以请给出好的图片描述，而不是去总结、概括，这个非常重要！
    - 图片描述应该详实具体，而不是简单的概括，避免出现'氛围'、'情绪'、'故事'、'主题'等模糊的词语；
- 镜头之间的顺序和关联至关重要。下一张图片需要建立在上一张图片所提供信息的基础上，共同推动主题的理解。观众需要能通过这个序列“脑补”出中间的联系和发展。
- 保持镜头的图片描述是符合人设图片风格的，符合选题，符合【历史帖子】中的创作形式（图片上添加文字、拼图、滤镜风格等等）特点；
- 根据镜头做统一的规划，包含但不限于以下内容：
    - 统一的风格、光影、色彩、构图、镜头语言等；
    - 一致性重点内容等
{{
    "优化的脚本": {{
        {{
            "镜头统一规划": "dict,
            "优化后的图集描述": "List[str]",
            "优化逻辑/理由": "str"
        }}
    }}
}}
"""

SCRIPT_ALIGN_MATERIALS_PROMPT = """好了，你做的很棒！现在有了一个完美的脚本。
现在基于【脚本的图集描述】、【历史创作帖子】、【参考的同选题帖子】，我需要你帮我完成以下任务：

- 从【历史创作帖子】、【参考的同选题帖子】提取【脚本的图集描述】关联到的材料；
    - 请根据【脚本的图集描述】中的图片描述，提取出关联到的材料；
    - 如果从【历史创作帖子】总结涉及到相同的主体（人物/动物等），需要单独对主体进行材料提取并命名：
        - 先从【历史创作帖子】总结找到相同的主体；
        - 然后从以上所有的主体图片中选取主体（如果是人物/动物：正脸最全面、五官特征最清晰）最具有代表性的的图片，作为主体的材料；
    - 每个材料名请用确定的词语描述，不要使用复杂的词语；
        - 比如：xx（人物名），xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
    - 材料描述请尽可能详细，具体，不是简单的词语；需要有细节的描述；
        - image_index 指的是材料来源的图片在对应帖子中的图片序号，从1开始，请务必每次输出1张，每一个完整的图片文件视为一张图片；
        - 请确保材料的 image_index 是正确对应到图片的；这个非常重要；
- 重新对【脚本的图集描述】中进行调整，使得图集描述能够对应到上述材料
     - 引用到的材料请用<<>>标注出来，并严格能够进行对应和索引到材料；

- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "带材料的脚本": {{
        {{
            "带材料的图集描述": "List[str]",
            "材料": [
                {{
                    "材料名": "材料名1",
                    "材料类型": "材料类型1",
                    "材料描述": "材料描述1"
                    "note_id": "来源的帖子id",
                    "image_index": "素材在帖子中的图片序号"
                }},
                {{
                    "材料名": "材料名2",
                    "材料类型": "材料类型2",
                    "材料描述": "材料描述"
                    "note_id": "来源的帖子id",
                    "image_index": "素材在帖子中的图片序号"
                }},
                {{
                    "材料名": "材料名N",
                    "材料类型": "材料类型N",
                    "材料描述": "材料描述N"
                    "note_id": "来源的帖子id",
                    "image_index": "素材在帖子中的图片序号"
                }},
            ]
        }}
    }}
}}
"""